package com.qmth.qrzk.repository.user.model;

import java.util.Date;

/**
 * 题型实体类
 * @author 钟辉
 *
 */
public class QuestionType {
	private Integer id;							//编号
	
	private String code;					//题型编码
	
	private String parentCode;				//父题型编码
	
	private String name;					//题型名称
	
	private Integer correctOptionsNum;			//正确选项数量
	
	private Integer statusCode;					//选项状态
	
	private String remark;					//备注
	
	private Date createTime;				//创建时间
	
	private Integer createBy;					//创建人
	
	private Date updatedTime;				//最近更新时间
	
	private Integer updatedBy;				//最近更新人

	private Double defaultScore;			//默认分值
	
	private String guid;
	
	public String getGuid() {
		return guid;
	}
	public void setGuid(String guid) {
		this.guid = guid;
	}
	
	public void setId(Integer id) {
		this.id = id;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getParentCode() {
		return parentCode;
	}

	public void setParentCode(String parentCode) {
		this.parentCode = parentCode;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getCorrectOptionsNum() {
		return correctOptionsNum;
	}

	public void setCorrectOptionsNum(Integer correctOptionsNum) {
		this.correctOptionsNum = correctOptionsNum;
	}

	

	public Integer getStatusCode() {
		return statusCode;
	}

	public void setStatusCode(Integer statusCode) {
		this.statusCode = statusCode;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Integer getCreateBy() {
		return createBy;
	}

	public void setCreateBy(Integer createBy) {
		this.createBy = createBy;
	}

	public Date getUpdatedTime() {
		return updatedTime;
	}

	public void setUpdatedTime(Date updatedTime) {
		this.updatedTime = updatedTime;
	}

	public Integer getUpdatedBy() {
		return updatedBy;
	}

	public void setUpdatedBy(Integer updatedBy) {
		this.updatedBy = updatedBy;
	}

	public Integer getId() {
		return id;
	}
	
	public String getType(){
		String type = "";
		switch(correctOptionsNum){
		case 0:
			type = "主观题";
			break;
		case 1:
			type = "单选题";
			break;
		case 2:
			type = "多选题";
			break;
		}
		return type;
	}

	public Double getDefaultScore() {
		return defaultScore;
	}

	public void setDefaultScore(Double defaultScore) {
		this.defaultScore = defaultScore;
	}

}
